Bug 658307

Summary: LDAP search failed when 'cn' attribute is missing and CN shouldn't be a requirement.
Product: [Other] RHQ Project Reporter: Roger Hui <rhui>
Component: ConfigurationAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: low    
Version: 3.0.1CC: dowoods, jshaughn, loleary
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-30 20:36:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 625146    

Description Roger Hui 2010-11-29 23:08:59 UTC
Description of problem:
When the CN attribute is missing the group, JOn is unable to pick up the groups. 

Version-Release number of selected component (if applicable):
JON 2.4.0 

How reproducible:
Create a LDAP group that doesn't contain CN attributes, and run the LDAPTestSettings.jar 

You will see null at the groupFilter.
-------------------------------
STEP-3:TESTING: This ldap filter (objectclass=groupOfNames) will be used to locate ALL available LDAP groups
-------------------------------
-------------------------------
STEP-3:FAIL: There was an error searching with the groupFilter supplied: objectclass=groupOfNames'
null
-------------------------------
  
Actual results:
Null pointer returned. 

Expected results:
It should be able to return a list of groups. 

Additional info:
There is a workaround, try to modify the 'group filter' entry to have LDAP exclusion logic to hide those groups from the RHQ LDAP search. Ex. &(objectclass=groupOfNames)(!cn='') The only problem with this approach is that this is a large amount of groups.

Comment 1 Roger Hui 2010-11-29 23:10:03 UTC
Here is the case for more details: 00382109
Can we get it fixed in 2.4.1?

Comment 2 Charles Crouch 2011-09-30 17:49:48 UTC
removing superfluous trackers